complexType "ClassifiedPayment"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-option-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, paymentDate?, paymentAmount, paymentType*
</...>

Content Model Elements (7):

  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentAmount (defined in NonNegativePayment complexType),
  paymentDate (defined in PaymentBaseExtended complexType),
  paymentType (in additionalPayment defined in NettedSwapBase complexType),
  receiverAccountReference,
  receiverPartyReference

All Direct / Indirect Based Elements (1):

  additionalPayment (defined in NettedSwapBase complexType)

Known Usage Locations

- As direct type of elements (1):
  additionalPayment (defined in NettedSwapBase complexType)

Annotation
A classified non negative payment.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) PaymentBaseExtended (extension) NonNegativePayment (extension) ClassifiedPayment

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ClassifiedPayment"> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentType" type="PaymentType"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/7)
paymentType

  Type: | PaymentType, simple content

  Payment classification.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentType" type="PaymentType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.